Source

baseten / common-xcconfig / MacOSX10.4.xcconfig

#include "gcc.xcconfig"

GCC_VERSION_ppc = 4.0
GCC_VERSION_i386 = 4.0
GCC_VERSION_ppc64 = 4.2
GCC_VERSION_x86_64 = 4.2

// This doesn't work in Xcode 3.1.
// GCC_VERSION = $(GCC_VERSION_$(CURRENT_ARCH))
GCC_VERSION  = 4.0

MACOSX_DEPLOYMENT_TARGET_ppc = 10.4
MACOSX_DEPLOYMENT_TARGET_i386 = 10.4
MACOSX_DEPLOYMENT_TARGET_ppc64 = 10.5
MACOSX_DEPLOYMENT_TARGET_x86_64 = 10.5
MACOSX_DEPLOYMENT_TARGET = $(MACOSX_DEPLOYMENT_TARGET_$(CURRENT_ARCH))

SDKROOT_ppc = $(DEVELOPER_SDK_DIR)/MacOSX10.4u.sdk
SDKROOT_i386 = $(DEVELOPER_SDK_DIR)/MacOSX10.4u.sdk
SDKROOT_ppc64 = $(DEVELOPER_SDK_DIR)/MacOSX10.5.sdk
SDKROOT_x86_64 = $(DEVELOPER_SDK_DIR)/MacOSX10.5.sdk
SDKROOT = $(SDKROOT_$(CURRENT_ARCH))